%define version 2.2.5
%define release %mkrel 1
%define title GNUbiff

Summary:	Mail notification program
Name:		gnubiff
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Mail
URL:		http://gnubiff.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot

Source:		http://prdownloads.sourceforge.net/gnubiff/%{name}-%{version}.tar.bz2

BuildRequires:	gnome-panel-devel
BuildRequires:	gtk2-devel >= 2.4.0
BuildRequires:	libglade2.0-devel >= 2.3.0
BuildRequires:	openssl-devel
BuildRequires:	ImageMagick
BuildRequires:	perl-XML-Parser
BuildRequires:  gamin-devel
BuildRequires: desktop-file-utils
Requires(post):	info-install
Requires(preun): info-install

Requires(post): desktop-file-utils 
Requires(postun): desktop-file-utils

%description
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

%package	applet
Summary:	GNOME applet of gnubiff, a mail notification program
Group:		Networking/Mail
Requires:	%{name} = %{version}

%description	applet
%{name} is a mail notification program that periodically checks for mail
and displays headers and/or content when new mail has arrived. It relies
on the GNOME and GTK libraries but can be compiled and used with or
without GNOME support. Supported protocols are pop3, apop, imap4, mh,
qmail, mailfile and SSL. Furthermore, gnubiff is fully configurable with
a lot of options like polltime, poptime, sounds, mail reader, mailbox
title, etc.

This package contains the GNOME applet of %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=%{title}
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Network;Email;X-MandrivaLinux-Internet-Mail;
EOF

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_iconsdir} %{buildroot}%{_miconsdir}
install -m 644 -D       art/gnubiff.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 art/gnubiff.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 art/gnubiff.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
%{update_desktop_database}
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%postun
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_infodir}/*
%{_datadir}/applications/mandriva-%{name}.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%files applet
%defattr(-, root, root)
%doc COPYING
%{_datadir}/gnome-2.0/ui/*.xml
%{_libdir}/bonobo/servers/*.server


%changelog
* Mon Jan 29 2007 Lenny Cartier <lenny@mandriva.com> 2.2.5-1mdv2007.0
+ Revision: 114836
- Update to 2.2.5

* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 2.2.4-2mdv2007.1
+ Revision: 94690
- Fix BuildRequires for x86_64
- New version 2.2.4
- Import gnubiff



* Tue Aug 08 2006 Jerome Soyer <saispo@mandriva.org> 2.2.2-1mdv2007.0
- 2.2.2
- XDG Menu

* Tue May 23 2006 Lenny Cartier <lenny@mandriva.com> 2.2.1-1mdk
- 2.2.1

* Thu Apr 13 2006 Jerome Soyer <saispo@mandriva.org> 2.2.0-1mdk
- New release 2.2.0

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 2.1.9-1mdk
- New release 2.1.9

* Tue Dec 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.1.8-2mdk
- Fix PreReq
- Add BuildRequires ( gmain-devel )

* Tue Dec 20 2005 Lenny Cartier <lenny@mandriva.com> 2.1.8-1mdk
- 2.1.8

* Wed Jun 29 2005 Lenny Cartier <lenny@mandriva.com> 2.1.4-1mdk
- 2.1.4

* Mon Apr 04 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-1mdk
- 2.1.3

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrake.org> 2.1.0-1mdk
- 2.1.0, work done by Marc Koschewski <marc@osknowledge.org>

* Thu Dec 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.0.3-1mdk
- 2.0.3

* Sun Nov 21 2004 Abel Cheung <deaddog@mandrake.org> 2.0.2-2mdk
- Fix BuildRequires (thx Stefan's bot)

* Wed Oct 20 2004 Götz Waschk <waschk@linux-mandrake.com> 2.0.2-1mdk
- update file list
- rediff the patch
- new source URL
- New release 2.0.2

* Mon Jun 28 2004 Abel Cheung <deaddog@deaddog.org> 1.4.0-1mdk
- New version

* Sat Jun 19 2004 Abel Cheung <deaddog@deaddog.org> 1.2.0-2mdk
- Rebuild with new gcc

* Tue May 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 1.0.9-1mdk
- First Mandrake package
- Patch0: Add missing info entry for info file
